petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDAVecRestoreArrayDOFRead

Restores a multiple dimension array obtained with DMDAVecGetArrayDOFRead()

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAVecRestoreArrayDOFRead(DM da,Vec vec,void *array)

Not Collective

### Input Parameter

| da | - the distributed array
| vec | - the vector, either a vector the same size as one obtained with DMCreateGlobalVector() or DMCreateLocalVector()
| array | - the array

### Keywords

distributed array, get, corners, nodes, local indices, coordinates

### See Also

DMDAGetGhostCorners(), DMDAGetCorners(), VecGetArray(), VecRestoreArray(), DMDAVecGetArray(), DMDAVecGetArrayDOF(), DMDAVecRestoreArrayDOF()

### Level

intermediate

### Location

src/dm/impls/da/dagetarray.c
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages